
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>如何破解YouTube视频推荐算法？ / iVAN</title>

    <meta name="description" content="如何破解YouTube视频推荐算法？ 如何破解YouTube视频推荐算法?     如果你是某个发行渠道(比如电影.戏剧.电视节目.网络视频)的内容工作者,那么内容的成败就取决于发行机制的运转逻辑.比如说,你制作了一档电视节目,你很想它能火起来,那么你就得知道该在哪里切入广告,怎么宣传节目,上哪个频道播放,所选的频道能被多少家庭收看,等等,诸如此类. 如果你的发行渠道是YouTube,那么你最应该搞清楚的是YouTube的算法是怎么工作的(同理可推国内).然而,全天下所有由算法来运营的平台,要搞清楚这一点那不是一般的困难. YouT">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">如何破解YouTube视频推荐算法？</h1>

    	<section>
		<article class="clearfix">
		<p>如何破解YouTube视频推荐算法？</p>
<p> </p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nMDgudGFvYmFvY2RuLmNvbS9wb3N0ZXIvaTEvVEIxZkN3Z0tWWFhYWFgxWFZYWFN1dGJGWFhY.jpg"></p>
<p> </p>
<p>如果你是某个发行渠道（比如电影、戏剧、电视节目、网络视频）的内容工作者，那么内容的成败就取决于发行机制的运转逻辑。比如说，你制作了一档电视节目，你很想它能火起来，那么你就得知道该在哪里切入广告，怎么宣传节目，上哪个频道播放，所选的频道能被多少家庭收看，等等，诸如此类。</p>
<p>如果你的发行渠道是YouTube，那么你最应该搞清楚的是YouTube的算法是怎么工作的（同理可推国内）。然而，全天下所有由算法来运营的平台，要搞清楚这一点那不是一般的困难。</p>
<p>YouTube没有把他们算法用到的变量公之于众。要搞清楚其算法的运转原理，即使数据很有限，我们也得对这个大大的黑盒子一探究竟。有些算法倚重的变量，我们是一点数据也拿不到的（比如缩略图，标题印象，用户访问历史，用户行为，会话信息，等），如果能拿到这些数据，那等于就是把YouTube的算法脱光了让我们看，然而呢，呵呵哒，并没有。</p>
<p>看起来我们啥都没有，但还是想尽可能用手上这点数据大致搞清楚其算法逻辑。所以，我的前同事（为什么是“前”同事呢？因为我最近从Frederator离职啦，哇咔咔）Jeremy Rosen花了半年时间分析Frederator自己掌握和运营的频道数据，想搞清楚YouTube的算法。</p>
<p> </p>
<p>开始之前，先明确一下：这篇文章内所指的算法包含多个YouTube增长类算法（为你推荐（Recommended），建议观看（Suggest），相关视频（Related），搜索（Search），原始评分（MetaScore），等等）。这些不同的算法产品，各有侧重，<em>但有一个共同点，那就是它们的优化目标相同，都是观看时长（Watch Time）。</em></p>
<p> </p>
<ul>
<li><em>观看时长</em></li>
</ul>
<p>先要说清楚的，“观看时长”并不是说观看过的分钟数。这个概念我们之前也讨论过[1]，观看时长由以下指标构成：</p>
<ul>
<li>访问次数</li>
<li>访问停留</li>
<li>会话开始</li>
<li>上传频率</li>
<li>会话时长</li>
<li>会话结束</li>
</ul>
<p>本质上以上每一项都关系着频道以及频道的视频表现好坏，人们是不是经常来访问（开始一次页面访问的会话）以及是不是停留很长时间。</p>
<p>要在算法那里积累下任何变量的取值，你的频道和视频首先得有人来访问你才行。一个视频要成功（成功定义为订阅者中超过一半的人在前30天访问过）需要视频发布的前几分钟、前几小时、前几天内得到大量的访问，我们把这称之为访问速率（ View Velocity）</p>
<p> </p>
<ul>
<li><em>访问以及访问速率</em></li>
</ul>
<p>我们分析Frederator的访问速率，发现整个生命周期内累计访问次数与前48小时内订阅用户访问百分比呈指数关系</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nMDgudGFvYmFvY2RuLmNvbS9wb3N0ZXIvaTEvVEIxOG9FdktWWFhYWGJVWFhYWFN1dGJGWFhY.jpg"></p>
<p>48小时内访问的订阅用户百分比与得到的平均访问次数</p>
<p> </p>
<p>基于这个观察，我们稍微深挖了一下，发现用这个速率规律去预测一个视频是否会成功，可以做到92%的准确率。其实，还存在一个更直接的相关性：72小时内访问的订阅用户百分比，与视频整个生命周期的累计被访问次数之间。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nMDgudGFvYmFvY2RuLmNvbS9wb3N0ZXIvaTEvVEIxVUR3bUtWWFhYWFh1WEZYWFN1dGJGWFhY.jpg"></p>
<p>72小时内访问的订阅用户百分比与整个生命周期内累计的访问次数</p>
<p> </p>
<p>这两个图以及相关系数充分说明访问次数和访问速率对视频和频道有着直接而重要的影响。除此之外，我们还有证据证明这个规律反过来也成立。差劲的访问速率不但影响这个视频本身，还影响其上一个和下一个视频。</p>
<p>下图说明如果Frederator上一个视频48小时内访问速率比较糟糕（少于5%的订阅用户访问），那么接下来上传的视频也会受其影响。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nMDgudGFvYmFvY2RuLmNvbS9wb3N0ZXIvaTEvVEIxUTlnd0tWWFhYWGJLWFhYWFN1dGJGWFhY.jpg"></p>
<p>访问了下一个视频的订阅用户百分比与访问了前两个视频的订阅用户平均百分比之间的关系</p>
<p> </p>
<p>这个数据证实了Matthew Patrick的理论：如果某一个视频点击效果不好，那么你的下一次上传的视频，YouTube就不会给予太多权重让它被你的订阅用户看到。【2】</p>
<p>也可能是因为上一个视频表现糟糕，所以访问你的频道次数就会减少，自然地就导致更少的订阅用户以原生的方式访问到。不管到底“为什么”，结果反正就是酱紫.</p>
<p>另一个负速率对新上传视频的影响就是：有证据表明这还会伤害到你的整个视频库。下面的第一张图是视频上传48小时内就访问的订阅用户7天平均百分比（译者注：这7天上传了若干个视频，纪录每个视频上传后48小时就访问的订阅用户百分比，然后取这些百分比的平均值）与频道总访问次数（译者注：反应了整个视频库的效果）的关系。第二张图是某一天访问视频的总体订阅用户百分比与当日的总体访问次数之间的关系。</p>
<p> </p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nMDgudGFvYmFvY2RuLmNvbS9wb3N0ZXIvaTEvVEIxeFBNa0tWWFhYWGMyWHBYWFN1dGJGWFhY.jpg"></p>
<p>七天内的平均“48小时内访问视频的订阅用户百分比” 与 每日整个频道视频访问总数之间的关系</p>
<p> </p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nMDgudGFvYmFvY2RuLmNvbS9wb3N0ZXIvaTEvVEIxQ3U3bUtWWFhYWFguWEZYWFN1dGJGWFhY.jpg"></p>
<p>每天平均订阅用户访问人数与总体访问访问次数之间的关系</p>
<p> </p>
<p>这些图标都说明一件事：一旦新上传视频和整个视频库的访问用户百分比走低，那么频道的总体访问次数也会走低。对于我们来说的启示是：YouTube算法更看重那些能够吸引到核心观众的频道，而惩罚那些不能吸引其核心观众的。</p>
<p> </p>
<p> </p>
<ul>
<li><em>访问停留</em></li>
</ul>
<p>另一个算法非常看重的指标就是访问停留（View Duration）。</p>
<p>访问停留就是用户会花多长时间停留在单个视频页面。这个变量的权重很高，我们的数据中能看到一个明显的引爆点。Frederator其中一个频道，前30天内，平均访问时长8分钟的视频，比平均5分钟的要多350%的访问量。下图表明，Frederator的一个频道的视频访问量，与平均访问停留时长的关系。</p>
<p> </p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nMDgudGFvYmFvY2RuLmNvbS9wb3N0ZXIvaTEvVEIxMzEud0tWWFhYWGIzWFhYWFN1dGJGWFhY.jpg"></p>
<p>整个生命周期内，平均访问时长和平均访问量的关系</p>
<p>* 注意，这里没考虑访问时长在八分钟之上的数据。</p>
<p> </p>
<p>我们还发现，访问停留时长越长，视频表现越好。下面这张图是七天内访问停留时长少于5分钟的视频（1），介于五分钟到十分钟的（5）， 十分钟以上的（10）分别与访问量的关系。</p>
<p> </p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nMDgudGFvYmFvY2RuLmNvbS9wb3N0ZXIvaTEvVEIxU1RjYUtWWFhYWGNTWFZYWFN1dGJGWFhY.jpg"></p>
<p>七天内平均访问量与平均访问停留时长的关系</p>
<p> </p>
<p>下面这张图也是一个意思，不过从7天拉长到整个生命周期内了。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nMDgudGFvYmFvY2RuLmNvbS9wb3N0ZXIvaTEvVEIxYmZyMktWWFhYWGIzYXBYWFN1dGJGWFhY.jpg"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nMDgudGFvYmFvY2RuLmNvbS9wb3N0ZXIvaTEvVEIxcHc3eEtWWFhYWGJYWFhYWHd1MGJGWFhY.jpg"></p>
<p>整个生命周期内平均访问量与平均访问停留时长的关系</p>
<p> </p>
<p>基于这些发现，我们可以得出一个简单的结论：<em>发布长视频可以提高访问效果。</em>Frederator有一个关于儿童乐园的频道，每周会上传三到四个不同长度（3分钟，10分钟，30分钟。70分钟）的视频，我们发现每个视频发布后的48小时内，70分钟视频的访问次数远远超过其他长度的视频，哪怕是重发一些炒剩饭的旧视频。除此之外，70分钟的视频和其他版本的视频有相同的平均访问停留时长。</p>
<p>于是，我们建议公司每周就只上传70分钟长度的视频就好了。就用了这个策略，频道日均访问量增长了50万，而过去6周里我们上传的视频个数却减少了75%。好了好了，我知道你受刺激了，不要崇拜哥。</p>
<p> </p>
<p> </p>
<p> </p>
<ul>
<li><em>会话开始，会话时长，会话结束</em></li>
</ul>
<p>能做这篇研究，全都得益于我之前的一篇文章：《观看时长是个什么鬼》（WTF is  WatchTime?）【1】</p>
<p>快速回顾一下，会话开始（Session  Starts）就是指用户有多少次是从你的视频开始访问YouTube的。这其实说明了订阅用户能在前72小时访问你是多么重要。订阅用户是在视频发布后最早能看到的你人，他们也是最可能点击你频道图标的人，因为他们已经熟悉你的品牌了。</p>
<p>会话时长（Session Duration）就是你的内容让用户在YouTube平台上逗留了多久，他们访问你的视频，以及访问之后都算是在平台上逗留。除了用户平均访问时长（Average View Duration ）和独立访问数（ Unique Views），也没有更好的数据了。</p>
<p> </p>
<p>会话结束（Session Ends）衡量用户是不是经常在看完你的视频后就离开了YouTube平台。这是算法利用的一个负面指标，但是我们根本拿不到数据</p>
<p> </p>
<ul>
<li><em>一则算法理论</em></li>
</ul>
<p> </p>
<p>YouTube的算法设计时关注的是频道效果而不是单个视频效果。但是它要利用单个视频来提高频道效果。</p>
<p>算法结合了单个视频的特定数据和频道的聚合数据来决定推荐哪个视频。最终目标仍然是为频道聚拢其目标观众</p>
<p>YouTube这么做是因为:</p>
<p>1. 让用户常常回访YouTube平台</p>
<p>2. 让用户在平台停留越久越好</p>
<p> </p>
<p>下面有三张图表来证明这则理论是成立的.</p>
<p>第一张图是48小时内访问的订阅者比例与7天内总访问量之间的关系。这张图说明，如果开始有大量用户从你的视频开始的平台会话，那么你的视频就会获得很大的访问量。到达一个阈值之后，就会呈指数级增长</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nMDgudGFvYmFvY2RuLmNvbS9wb3N0ZXIvaTEvVEIxeXlBdUtWWFhYWGF2WFhYWFN1dGJGWFhY.jpg"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nMDgudGFvYmFvY2RuLmNvbS9wb3N0ZXIvaTEvVEIxLjBNaktWWFhYWGJLWEZYWHd1MGJGWFhY.jpg"></p>
<p>7日内总访问量与48小时内访问的订阅用户百分比</p>
<p> </p>
<p>第二个图是频道内日均访问量与5日内访问的订阅用户百分比的关系。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nMDgudGFvYmFvY2RuLmNvbS9wb3N0ZXIvaTEvVEIxdWIuY0tWWFhYWGIuWFZYWFN1dGJGWFhY.jpg"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nMDgudGFvYmFvY2RuLmNvbS9wb3N0ZXIvaTEvVEIxdjNjeEtWWFhYWFhSWFhYWHd1MGJGWFhY.jpg"></p>
<p>日均访问量与5日内访问的订阅用户百分比的关系</p>
<p> </p>
<p>这意味着如果能一直让大量用户从你开始访问YouTube（近5天内平均来看），那么算法就会将用户每日访问向你整个频道视频库倾斜.</p>
<p>最后一幅图是日均访问的订阅用户百分比与5天内访问的订阅用户百分比之间的关系</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nMDgudGFvYmFvY2RuLmNvbS9wb3N0ZXIvaTEvVEIxNk8udEtWWFhYWFg5WHBYWFN1dGJGWFhY.jpg"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nMDgudGFvYmFvY2RuLmNvbS9wb3N0ZXIvaTEvVEIxTkNzYUtWWFhYWGNVWFZYWHd1MGJGWFhY.jpg"></p>
<p>日均访问的订阅用户百分比与5日内访问的订阅用户百分比之间的关系</p>
<p> </p>
<p>我们相信这一切都表明，频道效果的连贯性与访问量之间存在相关性，访问量又表现在订阅用户访问百分比，YouTube就会因此把流量倾斜给你</p>
<p>假如说你有一个游戏频道，10万个订阅用户，你每天上传6个视频，每个视频有5%的订阅用户访问。你的每个视频的平均访问订阅用户会稳定在区区5%。这意味你会每天产生30%的订阅用户访问次数（3万/天，60万/月）。现在假设你有1百万订阅用户，那么每日访问次数在30万，每月在600万.</p>
<p>我们认为这一段数学运算是不会骗人的。这意味YouTube在根据一些指标选择一些频道进行推荐，然后只要算法帮这个频道提高访问量.</p>
<p>但，壮士请留步，以上还仅仅是理论上的分析！</p>
<p> </p>
<p> </p>
<ul>
<li><em>一种打分算法</em></li>
</ul>
<p> </p>
<p>这里我们打算破解YouTube的算法，然后重建一个。用了15个信号量，以及我们估计的权重，来重新构建打分算法。信号量列举如下：</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nMDgudGFvYmFvY2RuLmNvbS9wb3N0ZXIvaTEvVEIxZ0VRdEtWWFhYWGN5WFhYWFN1dGJGWFhY.jpg"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nMDgudGFvYmFvY2RuLmNvbS9wb3N0ZXIvaTEvVEIxYmFnaktWWFhYWGJqWEZYWHd1MGJGWFhY.jpg"></p>
<p>用来开发打分算法的信号量／因素</p>
<p> </p>
<p>下面这些图是这些信号量实际产生的效果</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nMDgudGFvYmFvY2RuLmNvbS9wb3N0ZXIvaTEvVEIxRUFBc0tWWFhYWGFlWHBYWHd1MGJGWFhY.jpg"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nMDgudGFvYmFvY2RuLmNvbS9wb3N0ZXIvaTEvVEIxQlJUNktWWFhYWGM5YVhYWFN1dGJGWFhY.jpg"></p>
<p>三天的算法平均分与访问量的相关趋势</p>
<p> </p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nMDgudGFvYmFvY2RuLmNvbS9wb3N0ZXIvaTEvVEIxYkQub0tWWFhYWGJfWHBYWHd1MGJGWFhY.jpg"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nMDgudGFvYmFvY2RuLmNvbS9wb3N0ZXIvaTEvVEIxWHRab0tWWFhYWGN6WHBYWFN1dGJGWFhY.jpg"></p>
<p>算法打分与访问量的相关性趋势</p>
<p> </p>
<p>下面这张图更详细一些</p>
<p> </p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nMDgudGFvYmFvY2RuLmNvbS9wb3N0ZXIvaTEvVEIxcTljaEtWWFhYWGNTWEZYWFN1dGJGWFhY.jpg"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nMDgudGFvYmFvY2RuLmNvbS9wb3N0ZXIvaTEvVEIxSm9FbUtWWFhYWFhyWEZYWHd1MGJGWFhY.jpg"></p>
<p>三天的算法打分均值与每日访问量</p>
<p> </p>
<p> </p>
<p>知道你还是很好奇，那下面就揭晓我们模拟出来的各种权重：</p>
<p> </p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nMDgudGFvYmFvY2RuLmNvbS9wb3N0ZXIvaTEvVEIxUXhvYUtWWFhYWFhSYVhYWFN1dGJGWFhY.jpg"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nMDgudGFvYmFvY2RuLmNvbS9wb3N0ZXIvaTEvVEIxWlVFektWWFhYWFh2WFhYWHd1MGJGWFhY.jpg"></p>
<p>各种算法的权重分布模拟</p>
<p> </p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nMDgudGFvYmFvY2RuLmNvbS9wb3N0ZXIvaTEvVEIxWUtvektWWFhYWFhQWFhYWHd1MGJGWFhY.jpg"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nMDgudGFvYmFvY2RuLmNvbS9wb3N0ZXIvaTEvVEIxcWgzcktWWFhYWGJyWHBYWFN1dGJGWFhY.jpg"></p>
<p>观看时长优化算法的各信号量权重分布模拟</p>
<p> </p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nMDgudGFvYmFvY2RuLmNvbS9wb3N0ZXIvaTEvVEIxLllNb0tWWFhYWGM5WHBYWFN1dGJGWFhY.jpg"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nMDgudGFvYmFvY2RuLmNvbS9wb3N0ZXIvaTEvVEIxUTVBc0tWWFhYWGFtWHBYWHd1MGJGWFhY.jpg"></p>
<p> </p>
<p>相关推荐及其他算法的各信号量权重分布</p>
<p> </p>
<p>然而但是but，我们也没有其他数据了，所以我们也不敢肯定在计算相关性时该用哪种回归方式，也只敢说大多数信号和算法之间很相关，而已。也正因为如此，我们对YouTube算法一直热情不减。</p>
<p> </p>
<p> </p>
<ul>
<li><em>对YouTube算法的看法</em></li>
</ul>
<p>根据我们的数据，至少可以得到6个粗浅结论：</p>
<p>1. YouTube用算法决定了我们的视频和频道能得到多少访问量。</p>
<p>2. 成功的频道都是专注在特定类型的内容或创意上。</p>
<p>3. 频道自己一旦明确了哪种类型的内容成功之后，就不要再摇摆了。</p>
<p>4. 内容制作者光靠钱在YouTube平台上绝无可能成功，因此土豪型的制作者不太会全身心拥抱YouTube。</p>
<p>5. 个性化的节目/频道会一直是YouTube上面占统治地位的内容类型，因为这就是人们要找的“特定类型的内容”</p>
<p>6. 新建的频道，如果不能在YouTube站外导流进去的话，相当长时间内增长都会比较困难。</p>
<p> </p>
<p>前面说到，YouTube更注重于提高频道的访问效果，这个观点只是我们推测得到的。频道能够上传很多视频，从而获得和留住大量的目标观众。如果你想在YouTube上成功，我们能给的建议就是：瞄准一个非常垂直的兴趣类型，然后持续去制作10分钟以上的视频，一定得是你选定的这个兴趣类型的视频。</p>
<p>我这里是私人博客，需要提醒一下，YouTube可是储备了大量的算法弹药啊，也希望他们不把本文视为对算法的负面消息。通过这篇研究，我更加感谢YouTube及其算法工程师们，有预见性地设计了这些算法。毕竟，他们还是想努力让这个世界上的十亿用户能在一个月内不重样地观看视频。如果你能停下来回头再整体上审视一下这一切，你会惊叹于YouTube算法设计如此优雅，在实现商业目标上和保护平台健康发展上做得难以置信的好。为他们点32个赞！</p>
<p> </p>
<p>注：</p>
<p>最初看到这篇文章是@fengyoung 在Facebook上分享的，觉得题目很有意思就看了一遍，看完后感觉很有启发，遂决定翻译一下让更多人看到。这篇文章给我的启发有三方面：</p>
<p>1. 从YouTube平台的算法设计人员角度，设计繁多的推荐算法，是为了提高频道的观看时长，而提高频道的观看时长又是为了让用户能够经常访问平台。这是一种双赢的思维，说白了：谁能帮平台留住用户，平台就重点扶持他。</p>
<p>2. 文章得出结论，要做垂直内容才能在YouTube上活下去。平台上内容越多样，平台越健康，这是毋庸置疑的，尽管我赞同这个结论，但是我没有在本文中看到作者是如何得到这个结论的。这一点就是YouTube和国内视频平台最大的差别，国内的视频平台严重趋同，花高价购买独家版权似乎是国内视频平台的唯一出路，也是一个妖魔化的出路，反观YouTube，他们利用算法驱使了各个频道专耕某一个垂直内容，然后把最适合的用户给你匹配上，这才是更宏大的一盘内容棋。</p>
<p>3. 本文作者给我们了一个启示，算法并不是黑盒子，是可以hack的，尽管这个也只能hack到冰山一角，但是也比我们盲目地运营要明亮很多了。作者的研究方式，首先是明确了一个平台的算法目标是什么，YouTube是watch time，那么就去观察这个目标和哪些指标有关，进一步看到每个指标又能怎么提高</p>
<p> </p>
<p> 注  释</p>
<p>[0] 原文：http://www.tubefilter.com/2016/06/23/reverse-engineering-youtube-algorithm/</p>
<p>[1] http://www.tubefilter.com/2016/05/12/youtube-watch-time-metric-algorithm-statistics/</p>
<p>[2] https://www.youtube.com/watch?v=HLJQ0gFHM8s</p>				<div id="time"><strong>时间：</strong> 2024-02-19 11:03:17</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e7%ae%97%e6%b3%95/" title="算法">算法</a>, <a href="https://www.iamivan.net/tag/%e6%8e%a8%e8%8d%90%e7%ae%97%e6%b3%95/" title="推荐算法">推荐算法</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>如何破解YouTube视频推荐算法？的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/ba779Xp.html" rel="bookmark">如何破解YouTube视频推荐算法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				如果你是某个发行渠道(比如电影.戏剧.电视节目.网络视频)的内容工作者,那么内容的成败就取决于发行机制的运转逻辑.比如说,你制作了一档电视节目,你很想它能火起来,那么你就得知道该在哪里切入广告,怎么宣传节目,上哪个频道播放,所选的频道能被多少家庭收看,等等,诸如此类. 如果你的发行渠道是YouTube,那么你最应该搞清楚的是YouTube的算法是怎么工作的.然而,全天下所有由算法来运营的平台,要搞清楚这一点那不是一般的困难. YouTube没有把他们算法用到的变量公之于众.要搞清楚其算法的运转原			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M9x2wRb.html" rel="bookmark">推荐系统主要算法总结及Youtube深度学习推荐算法实例概括</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				协同过滤 协同过滤(CF)及其变式是最常用的推荐算法之一.即使是数据科学的初学者,也能凭之建立起自己的个性化电影推荐系统,例如,一个简历项目. 当我们想要向某个用户推荐某物时,最合乎情理的事情就是找到与他/她具有相同爱好的用户,分析其行为,并且为之推荐相同的东西.或者我们可以关注那些与该用户之前购买物品相似的东西,并推荐相似的产品. 协同过滤(CF)有两种基本方法,它们分别是:基于用户的协同过滤技术和基于项目的协同过滤技术. 该推荐算法的以上情形中均包含两步: 1. 找到数据库中有多少用户/项目			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MWWwgqM.html" rel="bookmark">YouTube 推荐算法原理</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				近日,在谷歌刊登的一篇论文中,YouTube工程师详细地分析了YouTube推荐算法的内部工作原理.该论文在上周于波士顿举行的第十次ACM大会上进行了展示. YouTube推荐算法以Google Brain为基础,后者最近以TensorFlow的名称开源.借助TensorFlow,开发人员可以使用分布式训练试验不同的深度神经网络结构.该系统包含两个神经网络.第一个生成候选集.它以用户的观看历史作为输入,使用协同过滤算法在数以百计的视频中进行选择.开发和最终部署到生产环境有一个重要的区别,谷歌使用			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/jbEmo3b.html" rel="bookmark">网站拉拢用户的核心机密&colon;推荐算法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				文章描述:互联网无处不在的&quot;推荐算法&quot;. 数据显示,三分之一的用户会根据电子商务网站的推荐买东西,这是任何广告都不可能做到的成绩.媒体上播放的大众化广告对消费者的影响已经越来越低,于是有人做出预见--个性化推荐技术将成为广告的终极形式.     很多年前,看过一部电影叫作&lt;谁知女人心&gt;,好莱坞大牌梅尔·吉布森饰演的男主角是一个典型的大男子主义者.一次浴室触电的意外突然让这个大男人获得了神奇的本领--&quot;读心术&quot;,可以轻而易举地洞悉身边女人们的心事,听到她们			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pXqr3Lz.html" rel="bookmark">什么是视频向量化？本文带你了解基于DeepWalk的视频推荐</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				更多深度文章,请关注云计算频道:https://yq.aliyun.com/cloud 作者介绍:Kamil Sindi.Nir Yungster,数据科学家 Linkedin:https://www.linkedin.com/in/kamilsindi/zh-cn Linkedin:https://www.linkedin.com/in/nir-yungster-b5367b37/zh-cn JW Player为视频发布商提供的核心服务之一是可提供更高参与度,观看时间和观看者保留率的重要推荐.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Myv7kJp.html" rel="bookmark">达观推荐算法实现：协同过滤之item embedding</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				推荐系统本质是在用户需求不明确的情况下,解决信息过载的问题,联系用户和信息,一方面帮助用户发现对自己有价值的信息,另一方面让信息能够展现在对它感兴趣的用户面前,从而实现信息消费者和信息生产者的双赢(这里的信息的含义可以非常广泛,比如咨询.电影和商品等,下文中统称为item).达观数据相关推荐是达观推荐系统中的重要组成部分,其价值在于,在没有用户画像信息的情况下,也能给用户以好的推荐体验,比如资讯类,通过达观相关推荐算法找到item相关的其他item,可以提供对某一类或者针对某一事件多角度多侧面的			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MlxPG8M.html" rel="bookmark">Instagram推出视频推荐功能</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Instagram 最近更新了 Explore 服务,加入了视频推荐频道.不过目前这项更新只限于美国地区,但 Instagram 官方表示,这项功能将很快扩展到其它国家. 更新后的 Instagram 将拥有一个叫 &quot;Videos you might like&quot; 的个性化频道,并且提供一个 &quot;精选&quot; 项目,Instagram 表示,这些视频收集自 Instagram 的全球社群.如果 Instagram 推送的视频不合你的口味,可以点击 &quot;See Fewe			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bjq7l5z.html" rel="bookmark">《嵌入式C编程实战》&mdash;&mdash;1&period;6　YouTube的推荐资源</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.6 YouTube的推荐资源 互联网是一个无穷无尽的信息来源.本书中大多数章节的结尾部分都会推荐一些Youtube上的视频,这些视频与本章的主题有关.下面给出了几个推荐的视频. 编译器的工作原理:https://www.youtube.com/watch?v=Kd93n4_5UjM. API是什么?:https://www.youtube.com/watch?v=iGkTCObcOqM. SDK是什么?:https://www.youtube.com/watch?v=py5H8gKvw44.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pdlR46p.html" rel="bookmark">央视今日观察：破解网络视频版权瓶颈</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				今日观察节目截图 导读:中央电视台&lt;今日观察&gt;栏目昨晚播出了名为&quot;破解网络视频 版权瓶颈&quot;的节目内容,以下为节目文字实录: 解说: 世界知识产权日来临,执法维权专项行动展开,新电影放映两天却遭遇网络盗版,&lt;今日观察&gt;正在评论. 主持人(王小丫):大家好!这里是正在播出的&lt;今日观察&gt;,欢迎各位的收看.你喜欢通过网络来观看最新的电影大片或者是电视剧吗?如今在网上看影视剧的速度快,同时画面也比较清晰,内容也非常的丰富,而且可以非常方便的即时点播,所以在网上			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/apXqJvz.html" rel="bookmark" class="title">制造商应承担更多责任，同时需要增加这方面的透明度</a>
					<div>
						运营商和网络常常因其糟糕的表现和覆盖质量差而遭受指责,但电信顾问公司Strand Consult公布的一份最新报告预计,约有70%的覆盖质量问题应当归咎于智能手机及其使用方法.StrandConsul ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qMqWn3z.html" rel="bookmark" class="title">android httpclient处理网络异常</a>
					<div>
						问题描述 android httpclient处理网络异常 如题,如何设置网络超时,或网络异常,并且提示用户异常,哪位大侠,给个详细代码,感激不进 解决方案 转载自: ? ? ? ? ? ??http ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/0zGegvM.html" rel="bookmark" class="title">PHP新手上路（一）</a>
					<div>
						PHP是一种易于学习和使用的服务器端脚本语言.只需要很少的编程知识你就能使用PHP建立一个真正交互的WEB站点.本教程并不想让你完全了解这种语言,只是能使你尽快加入开发动态web站点的行列.我假定你有 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/dzZo1kb.html" rel="bookmark" class="title">A5源码：2013年1月免费建站代码推荐</a>
					<div>
						A5源码 2013年1月免费建站代码推荐 A5源码首先给大家拜个晚年!恭祝大家在新的一年身体健康,万事如意,事业蒸蒸日上,家庭和和美美!!! 同时感谢大家在过去的一年里对A5源码的支持与厚爱,A5源码 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/XMlwKqb.html" rel="bookmark" class="title">设计师需要的IDEO以人为中心的设计工具包</a>
					<div>
						DEO对产品设计的几点概括:一 .设计不等于发明二 .产品不等于商品,所有好的设计都必须以经济层面与心理层面作为主要衡量标准.三 .必须组成多变性的创意团队,需要各类专才发挥异花授粉的功能.      ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9MxxBmM.html" rel="bookmark" class="title">论坛E-mail验正的正则表达式升级</a>
					<div>
						正则 今天拿到了传说中有1G大的Gmai,确实很好用速度极快,没有了传统的收件夹,取了代之的是labels ,用户自己设定labels后加上邮件过滤设定,就成了邮件自动分练功能,逻辑上,用户名+lab ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/6b36Nkz.html" rel="bookmark" class="title">如何判断关键词竞争程度</a>
					<div>
						做SEO设置关键词的时候,经常需要分析某个特定词的竞争状况,诸如&quot;体育&quot;,&quot;新闻&quot;,&quot;文学&quot;等大类关键词可以凭借我们的常识判断就知道竞争对手 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgKLE1M.html" rel="bookmark" class="title">ORA-4031错误详解</a>
					<div>
						报ORA-4031错误时,我们通常可以根据Oracle无法分配多少字节的内存,来判断共享池碎片的严重程度,以下是4031错误官方的解释: [oracle@guoyj ~]$ oerr ORA 4031 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MW16Nmz.html" rel="bookmark" class="title">iOS Programming 触摸事件处理详解</a>
					<div>
						iphone/ipad无键盘的设计是为屏幕争取更多的显示空间,大屏幕在观看图片.文字.视频等方面为用户带来了更好的用户体验.而触摸屏幕是iOS设备接受用户输入的主要方式,包括单击.双击.拨动以及多点触 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwlOrRb.html" rel="bookmark" class="title">Word中字符下划线巧设置</a>
					<div>
						       大家知道,在Word中,为字符添加的下划线,默认情况下是紧靠字符下方的.能不能调整一下字符和下划线之间的距离呢?答案是肯定的. 1.启动Word2003(其它版本请仿照操作),输入字符& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOwA7qz.html" rel="bookmark" class="title">PS给人物加上艺术花纹彩妆</a>
					<div>
						相比平时的淡妆效果,本教程的装扮显得格外另类.不仅色彩浓烈,更是运用了很多花纹图案装饰.确实非常有个性,喜欢的朋友不妨尝试一下. 原图 最终效果  1.首先用Photoshop打开原图. 2.为了使眼 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXBl9lb.html" rel="bookmark" class="title">Python封装shell命令实例分析</a>
					<div>
						  本文实例讲述了Python封装shell命令的方法.分享给大家供大家参考.具体实现方法如下: ? 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 2 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQN5vrM.html" rel="bookmark" class="title">PHP 高级编程之多线程&lpar;四&rpar;-多线程与ZeroMQ</a>
					<div>
						PHP 高级编程之多线程 http://netkiller.github.io/journal/thread.php.html Mr. Neo Chen (netkiller), 陈景峰(BG7NYT ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGA2rkM.html" rel="bookmark" class="title">js验证真实姓名与身份证号&comma;手机号的简单实例&lowbar;javascript技巧</a>
					<div>
						最近的项目中用的需要调用实名认证的接口,实名认证接口价格相比短信而言高了不是几分钱,所以说调用实名认证的条件就要严格把关,因此用到js验证真实姓名与js验证身份证号. 进入正题 1.js验证真实姓名  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkwgWwp.html" rel="bookmark" class="title">android-京东商品分类怎么做呢</a>
					<div>
						问题描述 京东商品分类怎么做呢 商品分类我左边选用的listview,右边是gridview,但是如图,不同商品大的类别,右边的子类数量类别都不同,求指导,最好详解 谢谢了					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwx3Zkb.html" rel="bookmark" class="title">高阶Java-Java注解 Java annotation 使用详解【转载的】</a>
					<div>
						转自 :http://javaopen.iteye.com/blog/645915 来越的开源框架都提供了&quot;元数据&quot;支持了.为了不outdate,今天系统学习一下Java的注释(又 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgVkL8b.html" rel="bookmark" class="title">php中&dollar;&lowbar;REQUEST一个注意点</a>
					<div>
						问题 说起REQUEST,大家都知道的是它是REQUEST,大家都知道的是它是_GET和$_POST的集合.但是如果你有心的话,查一下文档,会看到: $_REQUEST An associative  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgVjg5b.html" rel="bookmark" class="title">SqlDateTime溢出类错误解决</a>
					<div>
						错误: &quot;SqlDateTime 溢出.必须介于 1/1/1753 12:00:00 AM 和 12/31/9999 11:59:59 PM之间.&quot; 出现这种问题多半是因为你插入或 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwWyAEz.html" rel="bookmark" class="title">我对开源C&plus;&plus;网络库简单应用总结</a>
					<div>
						网上有篇文章&lt;开源免费的C/C++网络库(c/c++ sockets library) 七剑下天山&gt;,看了之后觉得每个库都不错,这里我具体下载这些库看一下,简单总结一下: 顺便添加一些我找 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNj02WM.html" rel="bookmark" class="title">谁能给我一个&period;net2005和sql2005的下载地址</a>
					<div>
						问题描述 找了半天没找到,先谢谢了! 解决方案 解决方案二:不知该说些什么......就是谢谢解决方案三:http://board.verycd.com/t265673.html					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxYlnmp.html" rel="bookmark" class="title">link以下两种写法结果一样，有什么区别？</a>
					<div>
						问题描述 link以下两种写法结果一样,有什么区别? 写法1: scores.GroupBy(x=&gt;x.StuID).OrderBy(x =&gt;x.Sum()).ThenBy(x =&gt; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNjVkmM.html" rel="bookmark" class="title">文件上传-android retrofit 如何上传本地文件</a>
					<div>
						问题描述 android retrofit 如何上传本地文件 android retrofit 如何上传本地文件到服务器,或者上传bitmap也行 解决方案 http://bbs.csdn.net/t ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZgZ8ob.html" rel="bookmark" class="title">ado-C&plus;&plus;调试时常卡在RecordSet&colon;&colon;BOF上</a>
					<div>
						问题描述 C++调试时常卡在RecordSet::BOF上 Windows Server 2003 SP2,VS2005,在 MFC 中通过 COM 调用 ADO 组件访问 SQL Server 数据 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlKkdYb.html" rel="bookmark" class="title">12306手机app怎么退票&quest;</a>
					<div>
						注意:退票费在票面乘车站开车时间前48小时以上的按票价5%计,24时以上.不足48小时的按票价10%计,不足24小里的按票价20%计 我们先进入到&quot;12306手机app&quot;,然后我们 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGElxlM.html" rel="bookmark" class="title">令Apache中沉睡的无用进程自动退出的方法&lowbar;Linux</a>
					<div>
						在Apache的Access Log中会看到很多如下的访问日志:     复制代码 代码如下:     127.0.0.1 - - [05/May/2011:10:54:07 +0800] &quot ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5Z1Jmz.html" rel="bookmark" class="title">SAP纪秉盟：为何感觉时光如梭？那是因为我们表现出色</a>
					<div>
						早上十点半,SAP全球高级副总裁.大中华区总裁纪秉盟在SAP位于香港的办公室通过视频方式接受记者采访,通报SAP刚刚发布的截至6月30日的2016财年第二季度大中华区财报表现. 纪秉盟用&quot;时 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAE2YeM.html" rel="bookmark" class="title">帝国CMS留言板回复后发送EMAIL通知客户&lowbar;php实例</a>
					<div>
						说明:修改1:e/admin/tool/ReGook.php   /*回复表单*/ 43行处添加代码 ------------------------------------------------- ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdy8dXz.html" rel="bookmark" class="title">GMIC 2014首日：智能机器人成亮点</a>
					<div>
						5月5日晚间消息,全球移动互联网大会(GMIC)2014今日在北京开幕.尽管&quot;下一个50亿&quot;是本届大会的主题,但智能机器人才是首日GMIC主会场的最大亮点:而整个大会期间既有对自身 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3JeEwz.html" rel="bookmark" class="title">PPLive正式起诉PPS：要求赔偿5千万</a>
					<div>
						4月20日下午消息,PPTV(PPLive旗下媒体)以PPLive名义正式向上海市中级人民法院起诉PPS不正当竞争行为,要求PPS立即停止不正当竞争行为.侵犯著作权行为和损害商誉行为,并要求赔偿经济损 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mx0J97M.html" rel="bookmark" class="title">&OpenCurlyDoubleQuote;采购首发团&rdquo;落实22亿美元对台订单</a>
					<div>
						两岸通讯业界达成六项共识 据新华社台北6月4日电 被台湾媒体誉为&quot;采购首发团&quot;的&quot;两岸经贸促进考察团&quot;经过4天在台洽购,目前已落实逾22亿美元对台采购订单,其中 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.038 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
